RoutesWorkflows module

Workflows routes

URLs the Workflows module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/workflows/add-workflow addWorkflow

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$workflow Workflow Single (empty) Workflow record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/workflows/workflow/{id} editWorkflow

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$workflow Workflow Retrieved Workflow record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/workflows/workflows manageWorkflows

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$workflows Collection<Workflow> Collection of Workflows

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.